/* Comportamento de rolagem suave para toda a página */
html {
    scroll-behavior: smooth;
}

body {
    cursor: url('assets/cursor.png') 6 0, auto;
}

button, a, .ptrs {
    cursor: url('assets/pointer.png'), auto;
}

.bg-grid {
    background-size: 40px 40px;
    mask-image: linear-gradient(to bottom, transparent, 10%, black, 90%, transparent);
}

/* Transição suave para o acordeão do FAQ */
.faq-content {
    transition: max-height 0.3s ease-in-out, opacity 0.3s ease-in-out;
}

/* Classe utilitária para esconder elementos antes da animação do GSAP começar.
   Isso evita o "Flash of Unstyled Content" ou que o elemento apareça estático antes de animar.
*/
.gsap-reveal {
    visibility: hidden;
}



@keyframes noiseAnimation {
  0% { transform: translate(0, 0); }
  10% { transform: translate(-5%, -5%); }
  20% { transform: translate(-10%, 5%); }
  30% { transform: translate(5%, -10%); }
  40% { transform: translate(-5%, 15%); }
  50% { transform: translate(-10%, 5%); }
  60% { transform: translate(15%, 0); }
  70% { transform: translate(0, 10%); }
  80% { transform: translate(-15%, 0); }
  90% { transform: translate(10%, 5%); }
  100% { transform: translate(5%, 0); }
}

/*Barra de rolagem*/
::-webkit-scrollbar{
    width: 0.9vw;
    background: #ccc;
}
::-webkit-scrollbar-thumb{
    background: #0F9E99;
    border-radius: 20px;
    
}